Workspaces
Update workspace
Authorization
API key Workspace settings: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Workspace settings: write
Path Parameters
workspaceId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
slug*string
displayName*string
Required. Must contain at least one non-whitespace character and be at most 256 characters long.
Match
[^\u0009-\u000D\u0020\u0085\u00A0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000]Length
1 <= length <= 256Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "displayName": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "displayName": null, "slug": "string", "creatorSubjectId": "fbc2e7e5-8f7f-45e6-8e7b-6bff026e7561"}